### Enumeration

# Hinawa FwNodeError

since: 2.1

#### Declaration

    error-domain Hinawa.FwNodeError

#### Description [src]

A set of error code for `GError` for operations in `HinawaFwNode`.

Available since: 2.1

#### Members

`HINAWA_FW_NODE_ERROR_DISCONNECTED`

  The node associated to the instance is disconnected.

  - Value: `0`
  - Available since: 2.1
`HINAWA_FW_NODE_ERROR_OPENED`

  The instance is already associated to node by opening firewire character device.

  - Value: `1`
  - Available since: 2.1
`HINAWA_FW_NODE_ERROR_NOT_OPENED`

  The instance is not associated to node by opening firewire character device.

  - Value: `2`
  - Available since: 2.1
`HINAWA_FW_NODE_ERROR_FAILED`

  The system call fails.

  - Value: `3`
  - Available since: 2.1

#### Type functions

###### hinawa_fw_node_error_quark

Return the `GQuark` for `GError` with `HinawaFwNodeError` domain.

since: 2.1